Create a recording
curl --request POST \
--url https://app.italic.com/api/v2/recordings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"title": "<string>",
"transcript": "<string>",
"summary": "<string>",
"recordedAt": 4503599627370495,
"externalId": "<string>",
"audio": [
{
"clientId": "<string>",
"fileId": "<string>"
}
]
}
'import requests
url = "https://app.italic.com/api/v2/recordings"
payload = {
"title": "<string>",
"transcript": "<string>",
"summary": "<string>",
"recordedAt": 4503599627370495,
"externalId": "<string>",
"audio": [
{
"clientId": "<string>",
"fileId": "<string>"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: '<string>',
transcript: '<string>',
summary: '<string>',
recordedAt: 4503599627370495,
externalId: '<string>',
audio: [{clientId: '<string>', fileId: '<string>'}]
})
};
fetch('https://app.italic.com/api/v2/recordings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recording": {
"id": "<string>",
"type": "clip",
"title": "<string>",
"transcript": "<string>",
"summary": "<string>",
"recordedAt": 4503599627370495,
"updatedAt": 4503599627370495,
"revision": 4503599627370495,
"status": "pending",
"pinned": true,
"audio": [
{
"clientId": "<string>",
"fileId": "<string>"
}
],
"deviceId": "<string>",
"externalId": "<string>"
},
"replayed": true
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Recordings
Create a recording
Required permission: recordings:create.
POST
/
recordings
Create a recording
Authorizations
An API key from Settings → Integrations.
Headers
Reuse the same key and body when retrying a create request.
Required string length:
1 - 128Body
application/json
Available options:
clip, memo Maximum string length:
200Maximum string length:
1000000Maximum string length:
1000000Required range:
0 <= x <= 9007199254740991Required string length:
1 - 256Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Maximum array length:
20Show child attributes
Show child attributes